package org.example.service;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import org.jboss.logging.Logger;
import org.jboss.security.annotation.SecurityDomain;
import org.jboss.wsf.spi.annotation.WebContext;

@Stateless
@WebService(name = "SampleService", serviceName = "Sample", targetNamespace = "http://org.example/sample")
@SOAPBinding(style = SOAPBinding.Style.RPC)
@WebContext(contextRoot = "/sample", urlPattern = "/*")
@SecurityDomain("sample-security")
public class SampleServiceImpl {
    private Logger log = Logger.getLogger(this.getClass().getName());    
    
    @WebMethod
    public String echo(String echo) {
        log.trace("echo called with: " + echo);
        return echo;
    }
    
}
